var on = require("on")(plugin);

importPackage(org.webbitserver.handler);

on({
    WebServerEvent: function(event)
    {
        var webServer = event.getWebServer();
        webServer.add(function(request, response, control) {
            if (!request.uri().startsWith("/jquery-ui/"))
            {
                control.nextHandler();
                return;
            }

            var path = request.uri().substring("/jquery-ui/".length).replace("%20"," ");
            var file = plugin.resource("htdocs", path);
            if (file.isFile())
            {
                response.header("Content-Type",file.type()).content(file.readBytes().getVal()).end();
                return;
            }
            else
            {
                control.nextHandler();
                return;
            }
        });
    }
});
